QGIS Application - Bug report #12780
Correct GML interpreted as plain table when XSD is present
2015-05-20 12:36 AM - Joeri Theelen

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.6.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 20879
Description

I'm not sure if this is a bug or not. | have a correct GML file, and it is interpreted as geospatial data by QGIS, but when | add the
accompanying XSD-file, the GML is interpreted as a plain table (i.e. the spatial part is not recognized).

See files attached:
Refgew.gml with Refgew.xsd is interpreted as plain attribute table

Refgew2.gml (having no internal link to Refgew.xsd) is interpreted as a geospatial dataset

File source: https://download.agiv.be/Producten/Detail ?id=10&#38;title=Voorlopig _referentiebestand gemeentegrenzen

History

#1 - 2015-05-26 09:43 AM - Saber Razmjooei
- Status changed from Open to Feedback

Works for me in master.

#2 - 2015-05-26 02:35 PM - Joeri Theelen
- File Voorlopig_referentiebestand_gemeentegrenzen_Gml.zip added
- File 2015-05-26_232432.png added

- Assignee set to Saber Razmjooei

Hi, thanks for looking into this. Yes, I've noticed that, with the files that | have uploaded in my original post, the GML with XSD is interpreted correctly (in
QGIS 2.6 and 2.8). Strange. However, | have downloaded the original file again from our governments website, having administrative borders in Flanders.
You can find the original download attached. | tried again, and it's still not interpreted correctly. See screenshot attached. Refgem.gml + Refgem.xsd (in
red) is a plain table. "Refgem - Copy.gml" is the same file as "Refgem.gml", but it does not share the filename-part with the XSD: it is interpreted as a
geospatial dataset (blue) as it should be. Maybe using the original download you'll be convinced that there is something wrong here.

#3 - 2015-05-26 11:40 PM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to up/downstream

- Assignee deleted (Saber Razmjooei)

Not a QGIS issue.
Try this two ogr commands:

ogrinfo Refgem.gml Refgem

and

ogrinfo Refgem-copy.gml Refgem

you will see that in the first case only attributes will be presented, in the second case also the geometry part.

#4 - 2015-05-27 12:24 AM - Joeri Theelen
- Assignee set to Giovanni Manghi

So what you are saying is that this is an OGR issue then? Or is the XML Schema not valid? | cannot test this now, but | remember checking it in XML Spy

and the GML and XML Schema were both valid. However, | checked using the Java 8 just now, and there seems to be an issue: Cannot resolve the name

'gml:_FeatureCollection' to a(n) 'element declaration' component.

Anyway, | want to give the person responsible for creating these GML-files valuable feedback: so is it OGR or the XML Schema?

Thanks.

#5 - 2015-05-27 12:31 AM - Giovanni Manghi
- Assignee deleted (Giovanni Manghi)

Anyway, | want to give the person responsible for creating these GML-files valuable feedback: so is it OGR or the XML Schema?

with that xml schema ogr does not shows the geometries, so still unclear to me if is ogr or the schema. Better file a ticket on ogr tracker.

#6 - 2015-05-27 12:42 PM - Joeri Theelen

Ok, thanks for the advice: | have posted this on the OGR issue tracker here:

https://trac.osgeo.org/gdal/ticket/5977

Cheers.

Files

Refgew.gml 651 KB 2015-05-19 Joeri Theelen
Refgew.xsd 3.27 KB 2015-05-19 Joeri Theelen
Refgew2.gml 651 KB 2015-05-19 Joeri Theelen
Voorlopig_referentiebestand_gemeentegrenzen_Gml.zip 4.58 MB 2015-05-26 Joeri Theelen
2015-05-26_232432.png 209 KB 2015-05-26 Joeri Theelen
